#
# * 7.1 Что такое функции. Их объявление и вызов
#
'''
Подвиг 3. Задайте функцию, которая не принимает никаких аргументов и
просто выводит на экран строку:
It's my first function

В конце программы вызовите эту функцию.
'''
# def print_message():
#     print("It's my first function")

# print_message()
'''
Подвиг 4. Запишите функцию без аргументов, которая считывает с клавиатуры
имя и фамилию, записанные в одну строку через пробел, и выводит на экран
сообщение (без кавычек):
"Уважаемый, <имя> <фамилия>! Вы верно выполнили это задание!"
В конце программы вызовите эту функцию.
Sample Input:
Сергей Балакирев
Sample Output:
Уважаемый, Сергей Балакирев! Вы верно выполнили это задание!
'''
# def print_m2():
#     NAME = input()
#     print(f'Уважаемый, {NAME}! Вы верно выполнили это задание!')

# print_m2()
'''
Подвиг 5. Объявите функцию, которая имеет один параметр - вес предмета
и выводит на экран сообщение (без кавычек):
"Предмет имеет вес: x кг."
где x - переданное значение функции. После объявления функции прочитайте
(с помощью функции input) вещественное число и вызовите функцию с этим значением.
Sample Input:
12.67
Sample Output:
Предмет имеет вес: 12.67 кг.
'''
# def print_weight(weght: float):
#     print(f'Предмет имеет вес: {weght} кг.')

# print_weight(float(input()))
'''
Подвиг 6. Объявите функцию, которая принимает список, находит максимальное,
минимальное и сумму значений этого списка и выводит результат в виде
строки (без кавычек):
"Min = v_min, max = v_max, sum = v_sum"
где v_min, v_max, v_sum - вычисленные значения минимального, максимального
и суммы значений списка. После объявления функции прочитайте (с помощью
функции input) список целых чисел, записанных в одну строку через пробел,
и вызовите функцию с этим списком.
Sample Input:
8 11 5 -10 12 0
Sample Output:
Min = -10, max = 12, sum = 26
'''

# def print_misc(lst: list):
#     print(f'Min = {min(lst)}, max = {max(lst)}, sum = {sum(lst)}')

# print_misc(list(map(int, input().split())))
'''
Подвиг 7. Объявите функцию с двумя параметрами width и height (ширина и
высота прямоугольника), которая выводит сообщение (без кавычек):
"Периметр прямоугольника, равен x"
где x - вычисленный периметр прямоугольника. После объявления функции
прочитайте (с помощью функции input) два целых числа, записанных в одну
строку через пробел, и вызовите функцию с этими значениями.
Sample Input:
8 11
Sample Output:
Периметр прямоугольника, равен 38
'''
# def perimeter(width: int, height: int) -> None:
#     print(f'Периметр прямоугольника, равен {(width + height) * 2}')

# w, h = map(int, input().split())
# perimeter(w, h)
'''
Подвиг 8. Напишите функцию, которая проверяет корректность переданного ей
email-адреса в виде строки. Будем полагать, что адрес верен, если он
обязательно содержит символы '@' и '.', а все остальные символы могут
принимать значения: 'a-z', 'A-Z', '0-9' и '_'. Если email верен,
то функция выводит ДА, иначе - НЕТ.
После объявления функции прочитайте (с помощью функции input) строку с
email-адресом и вызовите функцию с этим аргументом.
Sample Input:
sc_lib@list.ru
Sample Output:
ДА
'''
from string import ascii_letters, digits


def validate_email(email: str) -> None:
    test_set = set(ascii_letters + digits + '@' + '.' + '_')
    if email.count('@') == 1 and email.count('.') == 1 and set(
            email) == set(email) & test_set:
        print('ДА')
    else:
        print('НЕТ')


validate_email(input())
